Package org.json.simple

# Enum Class DeserializationException.Problems

java.lang.Object
java.lang.Enum<DeserializationException.Problems>
org.json.simple.DeserializationException.Problems

All Implemented Interfaces:
  `Serializable`, `Comparable<DeserializationException.Problems>`, `Constable`

Enclosing class:
  `DeserializationException`

public static enum DeserializationException.Problems extends Enum<DeserializationException.Problems>
The kinds of exceptions that can trigger a DeserializationException.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISALLOWED_TOKEN`
`IOEXCEPTION`
`UNEXPECTED_CHARACTER`
`UNEXPECTED_EXCEPTION`
`UNEXPECTED_TOKEN`

## Method Summary

Modifier and Type
Method
Description
`static DeserializationException.Problems`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DeserializationException.Problems[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISALLOWED_TOKEN

public static final DeserializationException.Problems DISALLOWED_TOKEN

### IOEXCEPTION

public static final DeserializationException.Problems IOEXCEPTION

Since:
  2.3.0 to consolidate exceptions that occur during deserialization.

### UNEXPECTED_CHARACTER

public static final DeserializationException.Problems UNEXPECTED_CHARACTER

### UNEXPECTED_EXCEPTION

public static final DeserializationException.Problems UNEXPECTED_EXCEPTION

### UNEXPECTED_TOKEN

public static final DeserializationException.Problems UNEXPECTED_TOKEN

## Method Details

### values

public static DeserializationException.Problems[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DeserializationException.Problems valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null